Package org.eclipse.emf.compare.ide.ui.internal

## Class EMFCompareIDEUIPlugin

- java.lang.Object
- - org.eclipse.core.runtime.Plugin
  - - org.eclipse.ui.plugin.AbstractUIPlugin
    - - org.eclipse.emf.compare.ide.ui.internal.EMFCompareIDEUIPlugin

All Implemented Interfaces:
  `BundleActivator`

    public class EMFCompareIDEUIPlugin
    extends org.eclipse.ui.plugin.AbstractUIPlugin

The activator class, controls the plug-in life cycle.

### Field Summary

Fields
`static String` `PLUGIN_ID` The plugin ID.

### Fields inherited from class org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

### Constructor Summary

Constructors
`EMFCompareIDEUIPlugin()` Default constructor.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `disposeCachedImages()` dispose system resources associated with cached images.
`static void` `disposeImage​(String id)` Dispose image with the given id.
`static EMFCompareIDEUIPlugin` `getDefault()` Returns the shared instance.
`static org.eclipse.swt.graphics.Image` `getImage​(String imagePath)` returns a plugin image.
`static org.eclipse.jface.resource.ImageDescriptor` `getImageDescriptor​(String imagePath)` returns a plugin image descriptor.
`LogicalModelViewHandlerRegistry` `getLogicalModelViewHandlerRegistry()` Returns the registry containing all known Logical Model View handlers.
`MergeResolutionListenerRegistry` `getMergeResolutionListenerRegistry()` Returns the registry containing all known merge resolution listeners.
`ModelDependencyProviderRegistry` `getModelDependencyProviderRegistry()` Returns the registry containing all known dependency providers.
`IModelMinimizer.Registry` `getModelMinimizerRegistry()` Returns the registry containing all known model minimizers.
`ModelResolverRegistry` `getModelResolverRegistry()` Returns the registry containing all known model resolvers.
`SubscriberProviderRegistry` `getSubscriberProviderRegistry()` Returns the registry containing all known subscriber providers.
`void` `log​(int severity, String message)` Log the given message with the give severity level.
`void` `log​(Throwable e)` Log an `Exception` in the `current logger`.
`void` `start​(BundleContext context)`
`void` `stop​(BundleContext context)`

### Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin

`createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, startup`

### Methods inherited from class org.eclipse.core.runtime.Plugin

`find, find, getBundle, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PLUGIN_ID

    public static final String PLUGIN_ID

The plugin ID.

See Also:
  Constant Field Values

### Constructor Detail

#### EMFCompareIDEUIPlugin

    public EMFCompareIDEUIPlugin()

Default constructor.

### Method Detail

#### start

    public void start​(BundleContext context)
               throws Exception

Specified by:
  `start` in interface `BundleActivator`
Overrides:
  `start` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
Throws:
  `Exception`
See Also:
  `AbstractUIPlugin.start(org.osgi.framework.BundleContext)`

#### stop

    public void stop​(BundleContext context)
              throws Exception

Specified by:
  `stop` in interface `BundleActivator`
Overrides:
  `stop` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
Throws:
  `Exception`
See Also:
  `AbstractUIPlugin.stop(org.osgi.framework.BundleContext)`

#### getDefault

    public static EMFCompareIDEUIPlugin getDefault()

Returns the shared instance.

Returns:
  the shared instance.

#### getImage

    public static org.eclipse.swt.graphics.Image getImage​(String imagePath)

returns a plugin image. The returned image does not need to be explicitly disposed.

Parameters:
  `imagePath` - : plugin relative path to the image
Returns:
  Image : plugin hosted image

#### getImageDescriptor

    public static org.eclipse.jface.resource.ImageDescriptor getImageDescriptor​(String imagePath)

returns a plugin image descriptor.

Parameters:
  `imagePath` - : plugin relative path to the image
Returns:
  ImageDescriptor : image descriptor.

#### disposeImage

    public static void disposeImage​(String id)

Dispose image with the given id.

Parameters:
  `id` - : dispose system resources associated with the image with the given id.

#### disposeCachedImages

    public static void disposeCachedImages()

dispose system resources associated with cached images.

#### getModelResolverRegistry

    public ModelResolverRegistry getModelResolverRegistry()

Returns the registry containing all known model resolvers.

Returns:
  The registry containing all known model resolvers.

#### getLogicalModelViewHandlerRegistry

    public LogicalModelViewHandlerRegistry getLogicalModelViewHandlerRegistry()

Returns the registry containing all known Logical Model View handlers.

Returns:
  The registry containing all known Logical Model View handlers.

#### getModelMinimizerRegistry

    public IModelMinimizer.Registry getModelMinimizerRegistry()

Returns the registry containing all known model minimizers.

Returns:
  The registry containing all known model minimiers.

#### getModelDependencyProviderRegistry

    public ModelDependencyProviderRegistry getModelDependencyProviderRegistry()

Returns the registry containing all known dependency providers.

Returns:
  The registry containing all known dependency providers.

#### getMergeResolutionListenerRegistry

    public MergeResolutionListenerRegistry getMergeResolutionListenerRegistry()

Returns the registry containing all known merge resolution listeners.

Returns:
  the registry containing all known merge resolution listeners.

#### getSubscriberProviderRegistry

    public SubscriberProviderRegistry getSubscriberProviderRegistry()

Returns the registry containing all known subscriber providers.

Returns:
  The registry containing all known subscriber providers.

#### log

    public void log​(Throwable e)

Log an `Exception` in the `current logger`.

Parameters:
  `e` - the exception to be logged.

#### log

    public void log​(int severity,
                    String message)

Log the given message with the give severity level. Severity is one of `IStatus.INFO`, `IStatus.WARNING` and `IStatus.ERROR`.

Parameters:
  `severity` - the severity of the message
  `message` - the message